
<HTML>
<HEAD>
<TITLE>DL Visualize - Tutorials</TITLE>
</HEAD>
<BODY BGCOLOR="#FFFFFF">

<center><H2> DLV Tutorial - Slicing 3D data </H2></center>

<p>
<ol>
<li> Initially there is no data object representing the slice to
     display. Therefore the first step is to create this object. Open the
     <b>Edit -> Data</b> panel.
     <br><br>
     <center><img src="../../images/data/spectra/panel.png"></center>
     <br>
</li>
<li> Find the 3D data set in the list that you want to slice. Select it
     <br><br>
     <center><img src="../../images/data/slice/dataset.png"></center>
     <br>
     and a list of components contained in the data set should appear.
</li>
<li> Select the component you want to create a slice from
     <br><br>
     <center><img src="../../images/data/slice/subset.png"></center>
     <br>
     and a list of edit options should appear.
</li>
<li> Our initial example will be to create an orthoslice of the data. Select
  this option
     <br><br>
     <center><img src="../../images/data/slice/edit.png"></center>
     <br>
     and the <b>Edit</b> button will appear.
</li>
<li> Click on the <b>Edit</b> button to create the slice, the panel will now
     show
     <br><br>
     <center><img src="../../images/data/slice/ortho.png"></center>
     <br>
     An orthoslice takes a 2D slice out of the 3D data array without requiring
     any interpolation and with the result being a plane parallel to one of
     the faces of the volume the original data was generated on.
     The controls in the scrollable panel at the bottom of the <b>Edit Data</b>
     panel allow you to control which axis of the 3D array you want to slice
     along and the array index on this axis to slice at.
</li>
<li> If you now look at the <b>Display Data</b> panel a new data item should
     have been added to the list
     <br><br>
     <center><img src="../../images/data/slice/data.png"></center>
     <br>
     (This panel can be opened from the <b>Display -> Data</b> menu.)
</li>
<li> This 2D item can now be displayed in the same manner as any other 2D data
     item - see <a href="2d.html">Displaying 2D data</a>.
     <br><br>
     <center><img src="../../images/data/slice/orthoslice.png"></center>
     <br>
     By changing the array index for the plane on the <b>Edit -> Data</b>
     panel you can interactively step the orthoslice through the 3D data set.
</li>
</ol>
</p>

<H4>Advanced - Slicing on a Plane</H4>

<p>
If in the previous example we had selected slice rather than orthoslice,
  and then clicked on edit, the edit panel would have shown these options
     <br><br>
     <center><img src="../../images/data/slice/slice.png"></center>
     <br>
  In this case the list shows the planes we have created (see
  <a href="planes.html"> creating planes</a>) which the slice is interpolated
  on and a slider that specifies a displacement of the slice from this plane.
  Changing the displacement allows you to interactively step through the data
  parallel to the slice plane. The 2D data item that is created and added to
  the <b>Display -> Data</b> panel can be displayed in the same way as the
  orthoslice.
     <br><br>
     <center><img src="../../images/data/slice/110.png"></center>
     <br>
</p>

</BODY>
</HTML>
